%define module	ldap3

Name:		python-%{module}
Version:	1.3.1
Release:	%mkrel 1
Summary:	Strictly RFC 4511 conforming LDAP V3 pure Python client
Group:		Development/Python
License:	LGPLv2+
URL:		https://pypi.python.org/pypi/%{module}/%{version}
Source0:	https://pypi.io/packages/source/l/%{module}/%{module}-%{version}.tar.gz
Patch0:		ssl_unbundle.patch
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)

%description
python-%{module} is a strictly RFC 4511 conforming LDAP V3 pure Python client.
The same codebase works with Python, Python 3, PyPy and PyPy3.

%package -n	python3-%{module}
Summary:	Strictly RFC 4511 conforming LDAP V3 pure Python3 client
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)

%description -n	python3-%{module}
python3-%{module} is a strictly RFC 4511 conforming LDAP V3 pure Python client.
The same codebase works with Python, Python 3, PyPy and PyPy3.

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -r %{module}.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%doc README.rst _version.json
%license COPYING.txt COPYING.LESSER.txt LICENSE.txt
%{python2_sitelib}/%{module}/
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{module}
%doc README.rst _version.json
%license COPYING.txt COPYING.LESSER.txt LICENSE.txt
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue May 17 2016 daviddavid <daviddavid> 1.3.1-1.mga6
+ Revision: 1016297
- new version: 1.3.1
- rediff/redo ssl_unbundle patch

* Wed Apr 06 2016 daviddavid <daviddavid> 1.2.2-1.mga6
+ Revision: 998990
- new version: 1.2.2
- rediff/redo ssl_unbundle patch

* Sun Feb 21 2016 daviddavid <daviddavid> 1.0.4-1.mga6
+ Revision: 975065
- imported package python-ldap3

